# mustang devices now use grub-efi, not UBoot
# This file exists only as an example of the initial UBoot support.

device_type: mustang
job_name: mustang singlenode with Debian jessie
priority: medium
visibility: public

metadata:
  # please change these fields when modifying this job for your own tests.
  docs-source: pipeline-admin-example
  docs-filename: mustang-admin-example-job.yaml

timeouts:
  job:
    minutes: 15
  action:
    minutes: 2
  connection:
    minutes: 2
actions:
- deploy:
      to: tftp
      kernel:
        url: http://images-internal/mustang/uImage_1.11
        type: uimage
      nfsrootfs:
        url: https://people.linaro.org/~neil.williams/arm64/debian-jessie-arm64-rootfs.tar.gz
        compression: gz
      dtb:
        url: http://images-internal/mustang/mustang.dtb_1.11
- boot:
    prompts:
      - 'root@linaro-nano:'
    method: u-boot
    commands: nfs
    auto_login:
      login_prompt: "login:"
      username: root
- test:
    timeout:
      minutes: 5
    definitions:
      - repository: https://git.linaro.org/people/neil.williams/temp-functional-tests.git
        from: git
        path: singlenode/singlenode03.yaml
        name: singlenode-advanced
